Subject: Re: Petzold and Mingw32
From: [email-masked] (Mikey)

29 Nov 1997 18:39:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

On Fri, 28 Nov 1997 08:57:49 +0100 (MET), you wrote:

>Hi all !
>
>> You might also want to note that many examples that use resource files
>> will not compile out of the box with rcl. Try rc.exe from the MS Platform
>> SDK if you can, or modify the resource files to always use BEGIN and END
>> instead of { and }, plus don't use any accelerators and don't expect
>> dialog boxes to work :-(
>> 
>> Colin.
>> 
>> P.S. I have used the new integrated (includes res2coff like capability)
>> windres from Mumit Khan's EGCS package, but it seems to (1) GPF on
>> accelerator tables (at least RCL only gave syntax errors) and (2) work
>> even worse on dialog boxes.
>> 
>> P.P.S There seems to be a bug in res2coff that makes dialog boxes not work
>> very well in any case (even with MS rc.exe). I'm working on it.
>
>Another choice that works fine with dialog boxes etc. is to use rc.exe
>from Microsoft and resrc.exe from RSXNT which "includes" the .res file created

I think you mean rsrc.exe from RSXNTDJ1.ZIP available from djgpp mirrors.

>by rc into the executable.
>
>BW,
>    Axel
>
>===============================================================================
>Axel Riese
>Research Institute for Symbolic Computation
>J. Kepler University Linz
>A-4040 Linz                              e-Mail: [email-masked]
>Austria             URL: http://www.risc.uni-linz.ac.at/research/combinat/risc/
>===============================================================================
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".